commit:     9238642d361660b231314a9d07fb2b1767b542d4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 16 03:44:44 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Nov 16 03:58:16 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9238642d

dev-python/cfn-lint: Bump to 0.83.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cfn-lint/Manifest               |  1 +
 dev-python/cfn-lint/cfn-lint-0.83.3.ebuild | 70 ++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index add956e906cf..c8e7653efb4d 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,3 +1,4 @@
 DIST cfn-lint-0.82.2.tar.gz 3714901 BLAKE2B 
76077d606ac645953f71fadf5b096e3a8e4a6e7c71b25af9647e0c155f40790ded2d96af93b959c00641475481758abc7af215cfe1004aeb05c90f3e85210bde
 SHA512 
91f93ffcf39883dfe8bb8e15298bf9bfec4c952762b9fec162107ecf70f5a11c44baa1ea3121db9f710375b3ab5afe11dca7142251ba070835c80accf0e41d9d
 DIST cfn-lint-0.83.1.tar.gz 3656263 BLAKE2B 
337352a7ba725267974ec41a5d7b6088fbf817e019429baca48feb7f19c0a5963d23df396b3c018194642068a569c995a7ae63a77ba17b66685a02b59eba1fcd
 SHA512 
a97968a46180550f71ffca7bfb22b4e2a90eba186dd2f426ba7b3812cb457ad8bfbdc359182fd6d93b27b2937c15567c90e47d06285898bbc63baea50b4d293f
 DIST cfn-lint-0.83.2.tar.gz 3676910 BLAKE2B 
058a2590c5c7bffa5144e6ce0c2dd1fbc63c999253d249e5425d0b87b12baf77dd94e1f11387516b01ffbbcffafe9a08f1d43e5025168c1c9c5bef726eafbd10
 SHA512 
dd20dabfb2a1132085570a0cbdad5899953d0780d569eda0f403ded0dead919de3125094f7bfc36d2b4fc69826767ebca67a8393a4e21d2a3e33313766b2b697
+DIST cfn-lint-0.83.3.tar.gz 3683221 BLAKE2B 
57e3d093eaabb4907cacd9908cadc1268600423e481316dab17da52f50472634e2114ab4069a9f68db440be1a76c4c96db9c53dd6991524bf2cd3699f8e5299b
 SHA512 
6c47fcab3b077ea7ffc7f7fab695f69d2e4a00eb85c2db7889235b0b41b462a92293e538640df190871148ab6f779570385787bed161db0f65efa289b4b4803c

diff --git a/dev-python/cfn-lint/cfn-lint-0.83.3.ebuild 
b/dev-python/cfn-lint/cfn-lint-0.83.3.ebuild
new file mode 100644
index 000000000000..787cd17c5e65
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.83.3.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+       https://github.com/aws-cloudformation/cfn-lint/
+       https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+       >=dev-python/aws-sam-translator-1.79.0[${PYTHON_USEDEP}]
+       dev-python/jsonpatch[${PYTHON_USEDEP}]
+       >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
+       <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+       dev-python/junit-xml[${PYTHON_USEDEP}]
+       <dev-python/networkx-4[${PYTHON_USEDEP}]
+       >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+       >=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
+       >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
+       >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # unpin the deps
+       sed -e 's:~=[0-9.]*::' -i setup.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # TODO
+               
test/unit/module/test_template.py::TestTemplate::test_build_graph
+               # requires git repo
+               
test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+               # Internet
+               
test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+               
test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+               # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+               test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+               
test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+               
test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+               
test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+       )
+
+       # from tox.ini
+       local -x AWS_DEFAULT_REGION=us-east-1
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -p xdist -n "$(makeopts_jobs)" --dist=worksteal
+}

Reply via email to